// roboto
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
// ubuntu
@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
// poppins
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');
@import 'app/components/common/buttons/common/button-base.component';
@import 'app/components/common/fields/common/field-base.component';
@import 'app/styles/mixins';

* {
  margin: 0;
  padding: 0;

  &:focus {
    outline: 0;
  }
}

body {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: auto;
  min-width: auto;
}

a {
  text-decoration: none;
  color: inherit;
}

// link text
.app-link {
  color: $havelock-blue;
  cursor: pointer;

  &:hover {
    color: darken($havelock-blue, 10);
  }
}

// app icons
.app-icon {
  @include flex(center, center);

  svg {
    display: block;
  }
}

sup {
  display: inline-block;
  transform: scale(0.8) translateY(0.2em);
}

button {
  &[type='hidden'] {
    display: none;
  }
}

input::-ms-clear,
input::-ms-reveal {
  display: none;
}

@media (max-width: 767px) {
  body {
    min-width: auto;
  }
  .mh {
    display: none !important;
  }
  .ms {
    display: block !important;
  }
  app-device-table .app-toggle {
    justify-content: flex-end;
    margin-right: 30px;
  }
  .app-link {
    color: #5580dd !important;
  }
  app-space-table app-user-info app-user-avatar {
    display: none !important;
  }
  app-space-table app-user-info .app-right {
    margin-left: 0 !important;
  }
  app-device-table app-user-info app-user-avatar {
    display: none !important;
  }
  app-device-table app-user-info .app-right {
    margin-left: 0 !important;
  }
  app-access-history-table app-user-info app-user-avatar {
    display: none !important;
  }
  app-access-history-table app-user-info .app-right {
    margin-left: 0 !important;
  }
  app-admin-profile {
    app-toolkit-info {
      .app-label {
        display: inline-block;
        min-width: 30px;
      }
      .app-value {
        display: inline-block;
        margin-left: 10px;
      }
    }
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  body {
    min-width: auto;
  }
}
@media (min-width: 768px) and (max-width: 1280px) {
  .app-link {
    color: #5580dd !important;
  }
}
body .dh {
  display: none;
}
body .ds {
  display: block;
}
.ds-flex {
  display: flex;
}
